var _____WB$wombat$assign$function_____=function(name){return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name))||self[name];};if(!self.__WB_pmw){self.__WB_pmw=function(obj){this.__WB_source=obj;return this;}}{
let window = _____WB$wombat$assign$function_____("window");
let self = _____WB$wombat$assign$function_____("self");
let document = _____WB$wombat$assign$function_____("document");
let location = _____WB$wombat$assign$function_____("location");
let top = _____WB$wombat$assign$function_____("top");
let parent = _____WB$wombat$assign$function_____("parent");
let frames = _____WB$wombat$assign$function_____("frames");
let opens = _____WB$wombat$assign$function_____("opens");
ysi.gototop={init:function(){window.addEventListener("load",function(t){if(ysi.scrollObserver.isSupported()){let t=document.getElementById("goToTop"),i=t.querySelector("button"),o=document.getElementById("help-widget");if(accessibility_widget=document.getElementById("acsBtn"),o&&o.classList.contains("widget-right")&&i.classList.add("widget-left"),accessibility_widget&&o)return!1;if(t){ysi.scrollObserver.init(t,{direction:"down",distance:.75,transit:"out",callback:function(){let e=t.querySelector("button");e.classList.add("fadeIn"),e.classList.remove("fadeOut")}}),ysi.scrollObserver.init(t,{direction:"up",distance:.75,transit:"in",callback:function(){let e=t.querySelector("button");e.classList.add("fadeOut"),e.classList.remove("fadeIn")}});var e=document.querySelector("#skip-nav");i.addEventListener("click",function(){ysi.scrollToY(0),e.focus()})}}},!1)}},ysi.registerCallback(function(){ysi.gototop.init()});var goToTop=document.querySelector("#goToTop button");goToTop.addEventListener("keydown",function(t){13===t.keyCode&&setTimeout(function(){document.getElementById("skip-nav").focus()},50)});
}